Generic Train Knowledge Base
curl --request POST \
--url https://api.example.com/v1/knowledge-bases/{knowledge_base_id}/generic_train \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"source": {
"config": {
"files": [
{
"uri": "<string>",
"name": "<string>",
"id": "<string>",
"content_type": "text/plain",
"size": 123,
"content_metadata": {
"page_count": 123,
"kind": "pdf"
},
"source_type": "Document",
"source_metadata": {
"rel_path": "<string>",
"external_id": "<string>",
"file_created_date": "<string>",
"file_modified_date": "<string>",
"original_url": "<string>",
"source_label": "<string>",
"source_image": "<string>"
}
}
]
},
"source_type": "Document",
"subtype": "<string>",
"config_cls": "<unknown>",
"integration": "<string>",
"image": "",
"name": "File",
"exposed": false
}
}
'import requests
url = "https://api.example.com/v1/knowledge-bases/{knowledge_base_id}/generic_train"
payload = { "source": {
"config": { "files": [
{
"uri": "<string>",
"name": "<string>",
"id": "<string>",
"content_type": "text/plain",
"size": 123,
"content_metadata": {
"page_count": 123,
"kind": "pdf"
},
"source_type": "Document",
"source_metadata": {
"rel_path": "<string>",
"external_id": "<string>",
"file_created_date": "<string>",
"file_modified_date": "<string>",
"original_url": "<string>",
"source_label": "<string>",
"source_image": "<string>"
}
}
] },
"source_type": "Document",
"subtype": "<string>",
"config_cls": "<unknown>",
"integration": "<string>",
"image": "",
"name": "File",
"exposed": False
} }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: {
config: {
files: [
{
uri: '<string>',
name: '<string>',
id: '<string>',
content_type: 'text/plain',
size: 123,
content_metadata: {page_count: 123, kind: 'pdf'},
source_type: 'Document',
source_metadata: {
rel_path: '<string>',
external_id: '<string>',
file_created_date: '<string>',
file_modified_date: '<string>',
original_url: '<string>',
source_label: '<string>',
source_image: '<string>'
}
}
]
},
source_type: 'Document',
subtype: '<string>',
config_cls: '<unknown>',
integration: '<string>',
image: '',
name: 'File',
exposed: false
}
})
};
fetch('https://api.example.com/v1/knowledge-bases/{knowledge_base_id}/generic_train', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Knowledge Bases
Generic Train Knowledge Base
POST
/
v1
/
knowledge-bases
/
{knowledge_base_id}
/
generic_train
Generic Train Knowledge Base
Authorizations
Path Parameters
Query Parameters
The path prefix where to upload
Body
application/json
- DocumentSource
- GoogleDriveSource
- OneDriveSource
- SharepointSource
- WebsiteSource
- ServiceNowKnowledgeBaseSource
- CustomSource
- PluginDataSourceKB
Show child attributes
Show child attributes
Response
Successful Response
⌘I